Bug 23351 - ksh fails to execute (alignment problems)
ksh fails to execute (alignment problems)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pdksh (Show other bugs)
7.0
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-04 16:52 EST by James Bottomley
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-05 07:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bottomley 2001-01-04 16:52:43 EST
When you execute ksh, it gives:

ksh(26747): unaligned access to 0x600000000000d5e8, ip=0x20000000000a92d0
Bus error (core dumped)

This can be fixed by making the default allocation alignment 16 bytes on
the
ia64 platform with the following patch:

--- pdksh-5.2.14/alloc.c        Tue May 18 10:45:09 1999
+++ pdksh-patch/alloc.c Mon Jul 31 14:10:43 2000
@@ -110,6 +110,11 @@
        Block  *block;
        struct {int _;} junk;   /* alignment */
        double djunk;           /* alignment */
+#ifdef __ia64__
+       /* IA64 requires 16 byte alignment for some objects, so make
+        * this the minimum allocation size */
+       char    ajunk[16];
+#endif
 };
 
 struct Block {
Comment 1 Trond Eivind Glomsrxd 2001-01-05 07:39:49 EST
Thanks for the patch, will take a look at it soonish.
Comment 2 Trond Eivind Glomsrxd 2001-01-08 18:10:47 EST
Verified, applied and upstreamed - look for pdksh-5.2.14-10

Note You need to log in before you can comment on or make changes to this bug.